Retrieve a previously locked rate. Passing a rate that hasn't been locked will result in a 404 not found error.
Request
Provide your bearer token in the Authorization
header when making requests to protected resources. Example:Authorization: Bearer ********************
or
Request Code Samples
curl --location 'https://api-gateway-uat.mmacs.io/platform/trade-service/api/v1/fx-rates/FX-260108-100733314457' \
--header 'Authorization: Bearer <token>'
Responses
application/json
{
"message": "string",
"id": "string",
"sourceAmount": "string",
"sourceCurrency": "string",
"rate": "string",
"targetCurrency": "string",
"targetAmount": "string",
"tradeReference": "string",
"status": "processing",
"createdAt": "string",
"updatedAt": "string"
}
Modified at 2026-09-10 09:41:41